Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mauda.operation
Class SubOperationQueue

    java.lang.Object
      mauda.operation.SubOperationQueue

    public class SubOperationQueue

extends java.lang.Object

Storage of a collection of multiple sub-operations. Additionally this class has several usefull methods. For Example:
- cloning
- load
- save

Author:
  Markus Krebs

Constructor Summary
`SubOperationQueue()` Creates a SubOperationQueue

Method Summary
`void` | `add(SubOperation operation)` Adds a SubOperation
`void` | `clear()` Clears this queue
`java.lang.Object` | `clone()`
`SubOperation` | `get(int index)` Gets a suboperation at the specified index
`int` | `length()` Gets the length of the queue
`void` | `load(java.util.Vector vector)` Loads this SubOperationQueue with the values from a vector- representation readed from e.g. a xml-file.
`void` | `remove(int index)` Removes a suboperation at the specified index
`java.util.Vector` | `save()` Converts this queue in a vector-representation for saving- purposes.
`java.lang.String` | `toString()`
`java.util.Vector` | `toVector()` Converts this queue in a vector

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SubOperationQueue

    public SubOperationQueue()

  Creates a SubOperationQueue

Method Detail

### add

    public void add(SubOperation operation)

  Adds a SubOperation

  Parameters:
    `operation` - suboperation

### get

    public SubOperation get(int index)

  Gets a suboperation at the specified index

  Parameters:
    `index` - Index
  Returns:
    suboperation

### length

    public int length()

  Gets the length of the queue

  Returns:
    length

### remove

    public void remove(int index)

  Removes a suboperation at the specified index

  Parameters:
    `index` - Index

### toVector

    public java.util.Vector toVector()

  Converts this queue in a vector

  Returns:
    vector-representation

### clear

    public void clear()

  Clears this queue

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### save

    public java.util.Vector save()

  Converts this queue in a vector-representation for saving- purposes.

  Returns:
    vector-representation of this queue

### load

    public void load(java.util.Vector vector)

  Loads this SubOperationQueue with the values from a vector- representation readed from e.g. a xml-file.

  Parameters:
    `vector` - vector-representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD